export interface ErrorContext {
    action: string;
    tips?: Record<string, string[]>;
}
export declare function handleCommandError(error: unknown, context: ErrorContext): never;
export declare const COMMON_TIPS: {
    ticketId: string[];
    priority: string[];
    status: string[];
    title: string[];
    focus: string[];
    assignee: string[];
    labels: string[];
};
export interface CLIResult {
    success: boolean;
    message?: string;
    exitCode?: number;
}
export declare function handleCommandResult(result: CLIResult): void;
export declare function withErrorHandling<T extends unknown[]>(action: (...args: T) => Promise<void>, errorContext: ErrorContext): (...args: T) => Promise<void>;
