/**
 * Common message templates for flow commands
 * Provides consistent error messages and validation across all AIT³ flow phases
 */
export declare const FLOW_MESSAGES: {
    readonly TICKET_ID_REQUIRED: (phase: string) => string;
    readonly TICKET_NOT_FOUND: (id: string) => string;
    readonly TICKET_NOT_IN_PROGRESS: (id: string) => string;
    readonly TICKET_ALREADY_COMPLETED: (id: string) => string;
    readonly FEATURE_REQUIRED: "Feature name is required for planning phase";
    readonly PLANNING_SUCCESS: "Planning phase completed";
    readonly RED_SUCCESS: "Tests generated successfully";
    readonly TEST_GENERATION_SUCCESS: "Test files generated successfully";
    readonly DRY_RUN_PREFIX: "DRY RUN - No files will be created";
    readonly GREEN_SUCCESS: "Implementation completed";
    readonly TARGET_TEST_NOT_FOUND: (path: string) => string;
    readonly TEST_MODIFICATION_WARNING: "WARNING: Test file modification detected!";
    readonly IMPLEMENTATION_COMPLETE: "All tests passing - implementation complete!";
    readonly REFACTOR_SUCCESS: "Refactoring analysis completed";
    readonly SQUASH_SUCCESS: "Git suggestions generated";
    readonly PHILOSOPHY: "Claude proposes → Gemini refutes → Human decides";
    readonly NEXT_STEP_RED: "Next step: ait3 flow red";
    readonly NEXT_STEP_GREEN: "Next step: ait3 flow green";
    readonly NEXT_STEP_REFACTOR: "Next step: ait3 flow refactor";
    readonly NEXT_STEP_SQUASH: "Next step: ait3 flow squash";
    readonly NEXT_STEP_COMPLETE: "Next step: ait3 ticket complete";
};
export type FlowMessagesType = typeof FLOW_MESSAGES;
