export interface ProjectAnalysis {
    language: string;
    framework: string;
    buildSystem: string;
    testFramework: string;
    commands: {
        install: string;
        test: string;
        build: string;
        dev: string;
    };
    docker: {
        hasDockerfile: boolean;
        hasCompose: boolean;
        composeFile?: string;
    };
    architecture: string;
    projectName: string;
}
/**
 * Analyze project to detect language, framework, and configuration
 */
export declare function analyzeProject(): Promise<ProjectAnalysis>;
